summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xpkg/tools/bitmask-bootstrap.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/pkg/tools/bitmask-bootstrap.sh b/pkg/tools/bitmask-bootstrap.sh
index a2cb45fe..6a4578a7 100755
--- a/pkg/tools/bitmask-bootstrap.sh
+++ b/pkg/tools/bitmask-bootstrap.sh
@@ -22,15 +22,12 @@ function add_pew_to_environment()
function apt_install()
{
sudo apt install $APT_DEPS
+ sudo pip install pew
}
function init_pew()
{
- which pew || pip install pew
- which pew || add_pew_to_environment
- PATH=~/.local/bin:$PATH
- # this hangs when creating for the first time
- pew ls | grep bitmask || echo '[+] bitmask boostrap: creating new bitmask virtualenv. Type "exit" in the shell to continue!' && pew new bitmask
+ pew ls | grep bitmask || echo '[+] creating new bitmask virtualenv...' && pew new -d bitmask
}
function clone_repo()